Subject: Attitudes site

From: [email-masked]
Date: Mon, 18 Jun 2001 17:34:02 EDT

I've added a bit about some simple "otherworldl" attitudes to this site and, 
in the process, screwed up several other things. Look at it for the 
information, I'll try to get the look of it back for easier reading (whatever 
possessed me to trust an aol device to do anything right?)